# Uses of Interface
org.eclipse.jface.text.rules.ITokenScanner

Packages that use ITokenScanner
Package
Description
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of ITokenScanner in org.eclipse.jface.text.rules

Subinterfaces of ITokenScanner in org.eclipse.jface.text.rules
Modifier and Type
Interface
Description
`interface`
`IPartitionTokenScanner`
A partition token scanner returns tokens that represent partitions.
Classes in org.eclipse.jface.text.rules that implement ITokenScanner
Modifier and Type
Class
Description
`class`
`BufferedRuleBasedScanner`
A buffered rule based scanner.
`class`
`RuleBasedPartitionScanner`
Scanner that exclusively uses predicate rules.
`class`
`RuleBasedScanner`
A generic scanner which can be "programmed" with a sequence of rules.
Fields in org.eclipse.jface.text.rules declared as ITokenScanner
Modifier and Type
Field
Description
`protected ITokenScanner`
DefaultDamagerRepairer.`fScanner`
The scanner it uses
Constructors in org.eclipse.jface.text.rules with parameters of type ITokenScanner
Modifier
Constructor
Description
``
`DefaultDamagerRepairer(ITokenScanner scanner)`
Creates a damager/repairer that uses the given scanner.
``
`DefaultDamagerRepairer(ITokenScanner scanner, TextAttribute defaultTextAttribute)`
Deprecated.
use DefaultDamagerRepairer(ITokenScanner) instead